# Uses of Class
org.apache.sysds.hops.codegen.opt.InterestingPoint

Packages that use InterestingPoint
Package
Description
org.apache.sysds.hops.codegen.opt
org.apache.sysds.hops.codegen.template

## Uses of InterestingPoint in org.apache.sysds.hops.codegen.opt

Fields in org.apache.sysds.hops.codegen.opt declared as InterestingPoint
Modifier and Type
Field
Description
`InterestingPoint[]`
ReachabilityGraph.SubProblem.`freeMat`
Methods in org.apache.sysds.hops.codegen.opt that return InterestingPoint
Modifier and Type
Method
Description
`InterestingPoint[]`
PlanPartition.`getMatPointsExt()`
`InterestingPoint[]`
ReachabilityGraph.`getSortedSearchSpace()`
Methods in org.apache.sysds.hops.codegen.opt with parameters of type InterestingPoint
Modifier and Type
Method
Description
`static boolean`
InterestingPoint.`isMatPoint(InterestingPoint[] list, long from, long to)`
`static boolean`
InterestingPoint.`isMatPoint(InterestingPoint[] list, long from, CPlanMemoTable.MemoTableEntry me, boolean[] plan)`
`void`
PlanPartition.`setMatPointsExt(InterestingPoint[] points)`
Constructors in org.apache.sysds.hops.codegen.opt with parameters of type InterestingPoint
Modifier
Constructor
Description
``
`PlanPartition(HashSet<Long> P, HashSet<Long> R, HashSet<Long> I, HashSet<Long> Pnpc, ArrayList<Long> M, InterestingPoint[] Mext, boolean hasOuter)`
``
`SubProblem(int off, int[] pos, InterestingPoint[] mat)`

## Uses of InterestingPoint in org.apache.sysds.hops.codegen.template

Methods in org.apache.sysds.hops.codegen.template with parameters of type InterestingPoint
Modifier and Type
Method
Description
`void`
CPlanMemoTable.`pruneRedundant(long hopID, boolean pruneDominated, InterestingPoint[] matPoints)`